de.dhbwstuttgart.typeinference.assumptions

## Class LocalVarAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.LocalVarAssumption

-     public class LocalVarAssumption
      extends Assumption

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LocalVarDecl` | `localVar`
    `private Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVarAssumption(LocalVarDecl localVar, Type declaredType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getAssumedType()`

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.Assumption

      `getIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localVar

          private LocalVarDecl localVar

    - #### type

          private Type type

  - ### Constructor Detail

    - #### LocalVarAssumption

          public LocalVarAssumption(LocalVarDecl localVar,
                                    Type declaredType)

  - ### Method Detail

    - #### getAssumedType

          public Type getAssumedType()

      Overrides:
        `getAssumedType` in class `Assumption`